<template>
<div class="top-nav">
	<div class="level">
		<div class="level-left">
			<div class="level-item"></div>
		</div>
		<div class="level-right">
			<div class="level-item">
				<a href="#" class="username">User Name</a>
			</div>
			<div class="level-item">
				<button class="button is-primary" @click="goToLogin" v-if="!auth.user.authenticated">Log in</button>
				<button class="button is-danger" @click="auth.logout()" v-if="auth.user.authenticated">Logout</button>
			</div>
		</div>
	</div>
	</div>
</template>

<script>
	import auth from '../../utils/auth'
	export default {
		name: 'top-nav',
		data() {
			return {
				auth
			}
		},
		methods: {
			goToLogin() {
				this.$router.push('/login')
			},
			logout() {
				auth.logout()
			}
		}
	}
</script>
